Installatie OS 10.2 op Powermac G3 via X post Facto

Ik ben ten einde raad. Ik ben pas ongeveer 2 jaar actief met Mac aan het werken, ik vind Mac OS X het ultieme systeem, maar ik krijg het maar niet op deze oude machine geflikkerd...

Ik gebruik X post Facto omdat ik met een versnellerskaart zit (PowerForce G3 ZIF for G3 1Mb). Ik volg het “protocol” voorgeschreven door Xpostfacto, maar ik krijg een blanco scherm… na héééél wat testen meen ik te denken dat het met mijn scherm te maken heeft, Ik heb overal gezocht naar updates van mijn graphics kaart (ATI mach64 3DUPro) maar ik heb slechts een algemene update voor ATI kaarten gevonden… helaas geen oplossing. Het herstarten in “open firmware” zoals voorgesteld levert alleen een groot rood vlak met ega witte letters OUT OF RANGE. ik denk dat ik hier iets mee aan moet, maar ik weet niet wat… een instelling of zo… nochtans zou 10 moeten werken op dit type toestel…

somebody… help… :oops: :frowning: :frowning:

Lukt het wel om OS X te installeren? Oftewel: wanneer krijg je precies dat blanco scherm? Heb je ook al eens geprobeerd te starten in verbose mode? (Houdt Option-Command-V ingedrukt bij het starten, dan zie je wat de Mac doet.)

het volgende gebeurt: ik start XPF, vink als opstart volume de install disk 1 van jaguar aan, en als install volume (een partitie op mijn HD, nu nog leeg). ik klik op install. XPF kopieert en installeert een aantal zaken. de computer herstart en ik hoor de ceedee draaien. plots licht het ledje van het scherm groen op en slaat dan direct weer oranje. (verbose of niet).

als ik in open firmware start (autoboot niet aangevinkt) en als input device het toetsenbord en als output device het scherm kies, krijg ik dus OUT OF RANGE op mijn scherm. maar ook maar efkens, het scherm slaat opnieuw af (met oranje ledje als gevolg).

volgens mij heeft het met de ATI kaart te maken…

Heb het ook geprobeerd te installeren op een 9600 met G3 upgrade. Verder dan een 'kernel panic' ben ik niet gekomen. Ik laat het er ook maar bij want als ik zie hoe akelig sloom X is op m'n iMac-400...op het irritante af.

Op de [url=http://eshop.macsales.com/OSXCenter/XPostFacto/framework.cfm?page=XPostFacto.html#diagnosis]XPostFacto info pagina[/url] staan diverse troubleshooting tips. Heb je die al geprobeerd? Of valt deze tip onder het "protocol" dat je hebt gevolgd?

yep, ik had alles geprobeerd.

ik heb zelfs alles opnieuw gewist en mijn partities veranderd. ik kreeg nog altijd : OUT OF RANGE. ik heb dan een ander beeldscherm aangesloten. en dan kreeg ik wel tekst:
still waiting for root device.

ik veronderstel dat mijn CD-rom speler niet herkend wordt.
(een Matshita CR-587) ik weet niet of ik dit euvel kan verhelpen door firmware of zo te updaten???

ik heb al gelezen dat je er een andere CD-rom speler moet insteken…

hoe gaat dit in z’n werk?

[quote:3b95aed27e="Kris"]maar ik krijg het maar niet op deze oude machine geflikkerd...[/quote:3b95aed27e]

En dan nu de vraag die meteen had moeten komen:

Wat voor een machine is het eigenlijk precies en heb je al eens geprobeerd om zoveel mogelijk niet standaard hardware eruit te halen?

Ik ben ondertussen al verder geraakt door de monitor te vervangen. ik krijg nu still waiting for root device. De handleiding van XPF beweert dat het dan te maken heeft met mijn CD-rom. Maar geeft geen oplossingen.

machine:
Powermac G3
met versnellerskaart
matshita CR-587 CD-rom
er zit nog een firewirekaart en een ethernet kaart in.

bij de installatie koppel ik alle materialen los (alleen scherm en keyboard laat ik zitten).

Op andere fora lees ik dat je de CD-rom moet vervangen door een apple device. (die heb ik niet).

een andere tip die bij mij niet lukt is de Powermac als een externe harde schijf booten op een iMac (pawermac met “T” ingedrukt opstarten => dan zou ie als firewire disk moeten booten op een andere mac) en dan de installatie uitvoeren via de iMac. Ik krijg mijn powermac dus niet als externe HD te zien op de iMac.

een tip die ik nog niet probeerde: HD herpatitioneren met een derde (kleine) partitie, waarop ik de installdisk voor OSX.2 moet “kopieren”. dan rebooten via XPF naar die partitie en de install via die partitie uivoeren.
heb ik nog niet gedaan, want: weet niet of je de 2 install disks van jaguar samen kunt zetten, heb ook de speciale software om een dergelijke kopie te maken niet…

heb jij andere tips???

Ik hoopte iets meer info te krijgen over jouw G3. Ik neem even aan dat het een B&W G3 is, omdat je spreekt over een G3 ZIF kaart. De B&W G3 heeft ook een video kaart, in plaats van onboard video.

Volgens mij heb je die machine 2e hands gekocht en heeft de oorspronkelijke eigenaar de CD speler en de video kaart vervangen door andere exemplaren.

Dit zijn even mijn aannames. Als die niet kloppen dan piep je maar.

Ik heb geen ervaring met het copieren van een OS X CD naar een hard disk partitie en dan die partitie zomaar opstarten. Met OS 9 en ouder is dat in ieder geval geen enkel probleem, maar daar heb jij nu weinig aan.

Als je een 3e installatie partitie gaat aanmaken, dan hoef je alleen maar de 1e CD daarop te plaatsen. De 2e CD wordt pas gebruikt na een reboot. Je kunt onder OS 9 proberen om via Schijf Kopie een image te maken van de OS X installatie CD en die vervolgens uit te pakken op de installatie partitie. Of je kunt Folder Compare proberen. Maar nogmaals, ik weet niet zeker of een van beide methodes een bootende partitie oplevert.

Als je zolang een Apple compatible CD speler wilt installeren zonder de huidige speler te demonteren, dan kun je natuurlijk een tijdelijke oplossing toepassen. Trek de power en datakabel uit de huidige CD speler en prik die in een andere CD speler. Leg die ergens in/op/bij de Mac zodat je de eerste boot via die CD speler kunt uitvoeren. Wel oppassen dat die niet opeens omvalt of ergens sluiting veroorzaakt! En als je zelf geen goed gevoel hebt bij zo’n actie: niet doen!

:D Firmware update gedaan???

ik heb een powermac G3 beige desktop model.

hoe weet ik wat een apple compatibele CD-speler is??? hoe weet ik dat de huidige dat niet is??

Firmware: graag, ik heb er eindeloos naar gezocht, maar nergens gevonden… ik heb een matshita CR-587 speler… kanje mij de richting wijzen waar ik dat kan vinden.

thx

kris

het is misschien niet slecht even de output te schrijven die ik krijg als ik via XPF reboot (in verbose mode)


using 1064 buffer headers and 1064 cluster IO buffer headers
Local FireWire GUID = 0xd 0f520:0x6932
Number of descriptors: 256. Total size 4096
Size of IODBDMADescriptor: 16
Number of descriptors: 256. Total size 4096
Size of IODBDMADescriptor: 16
devfs enabled
IOKitBSDInit
From path: “mac-i0/ide/00:9”, waiting on <dict=“0”> <key> IOPathMatch</key><string ID= “1”>IODeviceTree:/pci/mac-io/ide/@0:9 </string></dict>
BmacEnet: Enabling workaround for broken unicast filter
get Dependency List For Kmod(): Dependency com.apple.kernel of oldworld.support.patched SCSIDeviceType05 is not compatible or is unavailable.
load_kernel_extension(): Can’t get dependencies for kernel extension “oldworld.support.PatchedSCSIDeviceType05”
IOCatalogue: oldworld.support.PatchedSCSIDeviceType05 cannot be loaded
ADB present: c
still waiting for root device
still waiting for root device

misschien is dit duidelijk voor jullie??

[quote:1732e1a01a="Kris"]ik heb een powermac G3 beige desktop model.[/quote:1732e1a01a]

Wat moet je dan met XPF??

De G3 desktops zijn supported machines.
Deze week nog een G3 Desktop 233 voorzien van OS X, geen XPF nodig, gewoon van de CD starten.

Mocht het met de upgrade kaart niet werken, dan zou ik de originele erin zetten, OS X installeren en dan de upgrade kaart er weer in.

Misschien trapt ie daar in. Maar als eerste zou ik gewoon het ding opstarten met CD erin, en dan de C-toets indrukken.

[quote:1732e1a01a=“Kris”]get Dependency List For Kmod(): Dependency com.apple.kernel of oldworld.support.patched SCSIDeviceType05 is not compatible or is unavailable.
load_kernel_extension(): Can’t get dependencies for kernel extension “oldworld.support.PatchedSCSIDeviceType05”
[/quote:1732e1a01a]

Dit komt dus omdat het geen OldWorld machine is (voor OS X) maar een NewWorld.

Noem het maar ff unsupported (OldWorld = t/m 9600) en supported (Vanaf origineel G3).